EDIT - feature request #6363

feature request # 6361 (Closed): [MASTER] Merge all TaxonName classes into 1 class

Implement validation rules for all names according to their code
01/21/2017 11:56 AM - Andreas Mller

Status: Closed Start date:

Priority: Highest Due date:

Assignee: Andreas Mller % Done: 100%
Category: cdmlib Estimated time: 3:00 hours
Target version: Release 4.6

Severity: normal

Description

to fulfill the requirements for the parent ticket #6361.

First implement as Level1 rules. Later we may reduce this.

Related issues:
Related to EDIT - feature request #4817: German translation for term types New
Copied to EDIT - feature request #6501: Improve validation rules for name types New

Associated revisions

Revision 3f88d296 - 03/11/2017 08:25 PM - Andreas Miiller

fix #6363 Implement validation rules for all taxon names

History

#1 - 01/21/2017 12:05 PM - Andreas Miuller
- Estimated time set to 3:00 h

#2 - 03/11/2017 02:20 AM - Andreas Miiller
- Priority changed from New to Highest

#3 - 03/11/2017 08:25 PM - Andreas Miuller

- Subject changed from Implement validation rules for NonViralNames to Implement validation rules for all names according to their code

#4 - 03/11/2017 08:25 PM - Andreas Miiller
- Status changed from New to Resolved

- % Done changed from 0 to 50

Applied in changeset cdmlib|3{88d296ddea2907b41f3ac100cf8fade15cc9d7.

#5 - 03/13/2017 09:33 PM - Andreas Miiller

- Related to feature request #4817: German translation for term types added

#6 - 03/13/2017 10:04 PM - Andreas Miiller

- Status changed from Resolved to Closed

- % Done changed from 50 to 100

| tested by setting nameApprobation to not NULL for a zoological name. | could load but not save.

To improve this functionality we could add specific messages for each attribute. Also we could handle the exception more specific in the TaxEditor.
New ticket for this.

#7 - 03/13/2017 10:05 PM - Andreas Miller

- Copied to feature request #6501: Improve validation rules for name types added
